import { SizeType } from '../../../model/size.type';
import * as i0 from "@angular/core";
export declare class ButtonComponent {
    text: string;
    type: 'default' | 'alternate' | 'success' | 'warning' | 'error';
    size: SizeType;
    variant: 'default' | 'outline';
    icon?: string;
    getCssClasses(): string;
    private getBackgroundClasses;
    private getBorderClasses;
    private getSizeAndTextClasses;
    private getClassesAsString;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonComponent, "ct-button", never, { "text": { "alias": "text"; "required": true; }; "type": { "alias": "type"; "required": false; }; "size": { "alias": "size"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; }, {}, never, never, true, never>;
}
